Bug 148879 - konqueror hangs printing Juno.com email
Summary: konqueror hangs printing Juno.com email
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase   
(Show other bugs)
Version: 3
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Rockai
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-16 15:47 UTC by james
Modified: 2008-02-06 23:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 23:30:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace log of konqueror printing juno.com email (144.43 KB, application/x-gzip)
2005-02-17 21:10 UTC, james
no flags Details

Description james 2005-02-16 15:47:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686) Opera 
7.54  [en]

Description of problem:
When printing email from a Juno.com webmail account, konqueror will 
"hang" indefinitely.  Recovery requires killing konqueror.

Version-Release number of selected component (if applicable):
kdebase-3.3.1-4.3.FC3

How reproducible:
Always

Steps to Reproduce:
1. Open a Juno.com email account, of course, and send some email 
there.
2. "Sign In" to Juno.com email account using Konqueror.
3. Select "Inbox".
4. Select mail message.
5. Print the email - Select "Location" and "Print".
6. Select a printer and printer setup, etc.
7. Select "Print"
    

Actual Results:  Konqueror "hangs"

Expected Results:  printing

Additional info:

Mozilla and Firefox segfault printing Juno.com email.  Opera can 
print Juno.com email, but with its usual off-center cut-off-lines 
style.

This is one of those "Linux is not ready the desktop... for grandma..
. for whatever..." issues.

Comment 1 Ngo Than 2005-02-16 16:13:46 UTC
Hm, i don't have account there. How can i reproduce this problem?
could you please attach the strace log ? thanks

Comment 2 Sitsofe Wheeler 2005-02-17 21:01:45 UTC
There appears to be a testcase over in bug #148877 ...

Comment 3 james 2005-02-17 21:10:04 UTC
Created attachment 111179 [details]
strace log of konqueror printing juno.com email

trace log attached, the start is snipped off.  Konqueror printing quickly runs
the load average up over 5 and CPU usage to around 50%.

There is a test file available under "Bugzilla Bug 148877 - segfault printing
Juno.com mail", except that the global-Juno.asc file is NOT required to hang
Konqueror.

Comment 4 Petr Rockai 2005-07-22 09:18:09 UTC
In the current development version of konqueror this works ok (well, ok - 
doesn't hang... the printed output still look silly at best, with the body of 
the mail cut off, apparently). It would be nice if you could test with the fc4 
version, i don't have that handy right now (i will test it next week if you 
can't). 

Comment 5 Matthew Miller 2006-07-10 21:40:27 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 6 petrosyan 2008-02-06 23:30:36 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.


Note You need to log in before you can comment on or make changes to this bug.